Bug 991383 - Dist-geo-rep: Ideally when changelog is off during geo-rep create, it should give a warning message or should enable changelog by itself
Dist-geo-rep: Ideally when changelog is off during geo-rep create, it should ...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Venky Shankar
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 06:12 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 00:31:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2013-08-02 06:12:33 EDT
Description of problem:
If the changelog is off while doing the geo-rep create, there should be a warning issued to the user, or should fail or should enable the changelog itself if it's off.


Version-Release number of selected component (if applicable):
glusterfs-3.4.0.14rhs-1.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create master and slave volume with both 2*2 distributed configuration.
2. Now disable changelog in master.
   #gluster v set master_vol changelog off
3. Now try to create the session using the geo-rep create
   #gluster v geo master_vol slave_node::slave_vol create

Actual results:
The geo-rep create succeeds even if the changelog is off.

Expected results:
Ideally it should throw out a warning message or should fail saying that changelog is disabled or should take care of enabling the changelog by itself.

Additional info:

Even if we're going to document it saying that changelog should be enabled, we need this enhancement sometime in future. Checking for the status of changelog and taking care of enabling it is fairly simple IMHO.
Comment 2 Venky Shankar 2013-08-02 06:20:11 EDT
Geo-Replication start "enables" changelog.

Why is it needed to be shown in create phase? It's an internal change detection mechanism.
Comment 3 M S Vishwanath Bhat 2013-08-02 10:33:05 EDT
(In reply to Venky Shankar from comment #2)
> Geo-Replication start "enables" changelog.
> 
> Why is it needed to be shown in create phase? It's an internal change
> detection mechanism.

I thought "geo-rep create" is the right place enable the chanelog, if not enabled already by user.
Comment 4 Venky Shankar 2013-08-12 00:31:49 EDT
There is no pressing need to enable "changelog" during the create phase. Please reopen this bug if there is any.

Note You need to log in before you can comment on or make changes to this bug.